Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Trying Spyder-3.2.4
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Gh0str1d3r
Guru
Guru


Joined: 27 May 2008
Posts: 361

PostPosted: Sun Nov 12, 2017 2:51 am    Post subject: Trying Spyder-3.2.4 Reply with quote

I would like to try spyder-3.2.4 because they fixed an annoying bug in the save-as dialog. I copied the ebuild

Code:
/usr/portage/dev-python/spyder/spyder-3.2.3.ebuild


to

Code:
/usr/local/portage/dev-python/spyder/spyder-3.2.4.ebuild


and removed the patch line. I can compile the new version with

Code:
ebuild spyder-3.2.4.ebuild manifest clean merge


but the install phase fails with the following error:

Code:

Error in file "/usr/share/applications/wolfram-mathematica.desktop": "application/vnd.wolfram.nb;application/vnd.wolfram.cdf;application/vnd.wolfram.player;application/vnd.wolfram.mathematica.package;application/vnd.wolfram.wl;x-scheme-handler/wolfram+cloudobject" is an invalid MIME type ("application/vnd.wolfram.nb;application/vnd.wolfram.cdf;application/vnd.wolfram.player;application/vnd.wolfram.mathematica.package;application/vnd.wolfram.wl;x-scheme-handler/wolfram+cloudobject" contains an invalid character in the subtype)
 * ACCESS DENIED:  open_wr:      /usr/share/applications/.mimeinfo.cache.WASR9Y
The databases in [/usr/local/share/applications, /usr/share/applications] could not be updated.


Why is spyder complaining about the mathematica desktop file? Is there any obvious way to work around this?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16925
Location: here

PostPosted: Sun Nov 12, 2017 9:19 am    Post subject: Reply with quote

You should apply patch spyder-3.2.3-build.patch also for 3.2.4 version, it works.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Gh0str1d3r
Guru
Guru


Joined: 27 May 2008
Posts: 361

PostPosted: Mon Nov 13, 2017 9:17 pm    Post subject: Reply with quote

fedeliallalinea wrote:
You should apply patch spyder-3.2.3-build.patch also for 3.2.4 version, it works.


Indeed, thanks!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum